
import javax.xml.bind.ValidationEvent;
import javax.xml.bind.ValidationEventHandler;
import org.xml.sax.helpers.DefaultHandler;

public class MyValidationEventHandler extends DefaultHandler implements ValidationEventHandler
{
	public boolean handleEvent(ValidationEvent event)
	{
		if (event.getSeverity() == ValidationEvent.ERROR) 
			return error(event);

		if (event.getSeverity() == ValidationEvent.WARNING) 
			return warning(event);

		if (event.getSeverity() == ValidationEvent.FATAL_ERROR) 
			return fatalError(event);

		// no other events are recognized
		return true;
	}

	public boolean error(ValidationEvent event)
	{
		System.out.println("\t%% error: " + event.getMessage());
		return true;
	}
	
	public boolean warning(ValidationEvent event)
	{
		System.out.println("\t%% warning: " + event.getMessage());
		return true;
	}
	
	public boolean fatalError(ValidationEvent event)
	{
		System.out.println("\t%% fatalError: " + event.getMessage());
		return true;
	}


}
